/* static/css/modal.css */
dialog::backdrop {
    background-color: rgba(0, 0, 0, 0.5);
}

dialog[open] {
    animation: modal-open 0.3s ease normal;
}

@keyframes modal-open {
    from { opacity: 0; transform: translateY(-20px); }
    to { opacity: 1; transform: translateY(0); }
}

/* Additional styles to ensure Pico CSS modal looks good */
dialog.modal > article {
    max-width: 450px;
    padding: 1.5rem;
}

dialog.modal header {
    margin-bottom: 1rem;
}

dialog.modal footer {
    margin-top: 1.5rem;
}
